<?php
/**
* Validator class
*
* Global request validator
*
* @copyright	CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author		Astalavista Development Team <thun@astalvista.ch>
* @access		public
* @module		includer
* @modulegroup	core
* @version		1.0.0
*/

//Security-Check
if (eregi("validator.inc.php",$_SERVER['PHP_SELF'])) {
    Header("Location: index.php");
    die();
}


/**
* strip_tags wrapper
*
* @param     string     $string
* @return    string     $string (cleaned)                                                                              
*/
function contrexx_strip_tags($string)
{
  if(CONTREXX_ESCAPE_GPC)
    return strip_tags($string);
  else
    return addslashes(strip_tags($string));
}



/**
* addslashes wrapper to check for gpc_magic_quotes - gz
*
* @param     string     $string
* @return    string     $string (cleaned)                                                                              
*/
function contrexx_addslashes($string)
{
  // if magic quotes is on the string is already quoted, 
  // just return it
  if(CONTREXX_ESCAPE_GPC)
    return $string;
  else
    return addslashes($string);
}
?>
