<?php
/**
* Class News
*
* @copyright CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author Astalavista Development Team <thun@astalvista.ch>         
* @module news
* @modulegroups modules                    
* @access public
* @version 1.0.0                                                 
*/


class newsLibrary{		  
    
	/**
    * Gets the categorie option menu string
    *
    * @global    object     $objDb
    * @param     string     $lang
    * @param     string     $selectedOption
    * @return    string     $modulesMenu                                                                              
    */ 
    function getSettings(){
    	global $objDb;   	
        $objDb->query("SELECT name, value FROM ".DBPREFIX."module_news_settings");        
	    while($objDb->next_record()){
		    $this->arrSettings[$objDb->f('name')] = $objDb->f('value');
	    }
    }
    
    
    function getCategoryMenu($langId, $selectedOption=""){
	    global $objDb;
	    
	    $strMenu = "";      
        $objDb->query("SELECT catid, name FROM ".DBPREFIX."module_news_categories 
                        WHERE catid<>0 AND lang=".$langId." ORDER BY catid");
        
	    while($objDb->next_record()){
		    $selected = ($selectedOption==$objDb->f('catid')) ? "selected" : "";
		    $strMenu .="<option value=\"".$objDb->f('catid')."\" $selected>".stripslashes($objDb->f('name'))."</option>\n"; 
	    }
	    return $strMenu;
    }
}
?>